org.eclipse.ease

## Class BreakException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.ease.BreakException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExitException

    public class BreakException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BreakException()`
`BreakException(Object condition)`

### Method Summary

Methods
`Object` `getCondition()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BreakException

    public BreakException()

#### BreakException

    public BreakException(Object condition)

### Method Detail

#### getCondition

    public Object getCondition()